opencv: cv::RandomizedTree Class Reference

Public Member Functions | Static Public Member Functions | Static Public Attributes | Friends

# cv::RandomizedTree Class Reference

`#include <features2d.hpp>`

List of all members.

## Public Member Functions
void | applyQuantization (int num_quant_bits)
int | classes ()
int | depth ()
void | discardFloatPosteriors ()
const float * | getPosterior (uchar *patch_data) const
float * | getPosterior (uchar *patch_data)
const uchar * | getPosterior2 (uchar *patch_data) const
uchar * | getPosterior2 (uchar *patch_data)
| RandomizedTree ()
void | read (const char *file_name, int num_quant_bits)
void | read (std::istream &is, int num_quant_bits)
void | savePosteriors (std::string url, bool append=false)
void | savePosteriors2 (std::string url, bool append=false)
void | train (std::vector< BaseKeypoint > const &base_set, RNG &rng, PatchGenerator &make_patch, int depth, int views, size_t reduced_num_dim, int num_quant_bits)
void | train (std::vector< BaseKeypoint > const &base_set, RNG &rng, int depth, int views, size_t reduced_num_dim, int num_quant_bits)
void | write (const char *file_name) const
void | write (std::ostream &os) const
| ~RandomizedTree ()
## Static Public Member Functions
static float | GET_LOWER_QUANT_PERC ()
static float | GET_UPPER_QUANT_PERC ()
static void | quantizeVector (float *vec, int dim, int N, float bnds[2], int clamp_mode=0)
static void | quantizeVector (float *src, int dim, int N, float bnds[2], uchar *dst)
## Static Public Attributes
static const int | DEFAULT_DEPTH = 9
static const size_t | DEFAULT_REDUCED_NUM_DIM = 176
static const int | DEFAULT_VIEWS = 5000
static const uchar | PATCH_SIZE = 32
## Friends
class | RTreeClassifier

## Constructor & Destructor Documentation

cv::RandomizedTree::RandomizedTree | ( | ) |

cv::RandomizedTree::~RandomizedTree | ( | ) |

## Member Function Documentation

void cv::RandomizedTree::applyQuantization | ( | int | num_quant_bits ) | `[inline]`

int cv::RandomizedTree::classes | ( | ) | `[inline]`

int cv::RandomizedTree::depth | ( | ) | `[inline]`

void cv::RandomizedTree::discardFloatPosteriors | ( | ) | `[inline]`

static float cv::RandomizedTree::GET_LOWER_QUANT_PERC | ( | ) | `[inline, static]`

static float cv::RandomizedTree::GET_UPPER_QUANT_PERC | ( | ) | `[inline, static]`

const float* cv::RandomizedTree::getPosterior | ( | uchar * | patch_data ) | const

float* cv::RandomizedTree::getPosterior | ( | uchar * | patch_data ) |

uchar* cv::RandomizedTree::getPosterior2 | ( | uchar * | patch_data ) |

const uchar* cv::RandomizedTree::getPosterior2 | ( | uchar * | patch_data ) | const

static void cv::RandomizedTree::quantizeVector | ( | float * | vec,
|  | int | dim,
|  | int | N,
|  | float | bnds[2],
|  | int | clamp_mode = `0`
| ) |  | `[static]`

static void cv::RandomizedTree::quantizeVector | ( | float * | src,
|  | int | dim,
|  | int | N,
|  | float | bnds[2],
|  | uchar * | dst
| ) |  | `[static]`

void cv::RandomizedTree::read | ( | const char * | file_name,
|  | int | num_quant_bits
| ) |  |

void cv::RandomizedTree::read | ( | std::istream & | is,
|  | int | num_quant_bits
| ) |  |

void cv::RandomizedTree::savePosteriors | ( | std::string | url,
|  | bool | append = `false`
| ) |  |

void cv::RandomizedTree::savePosteriors2 | ( | std::string | url,
|  | bool | append = `false`
| ) |  |

void cv::RandomizedTree::train | ( | std::vector< BaseKeypoint > const & | base_set,
|  | RNG & | rng,
|  | int | depth,
|  | int | views,
|  | size_t | reduced_num_dim,
|  | int | num_quant_bits
| ) |  |

void cv::RandomizedTree::train | ( | std::vector< BaseKeypoint > const & | base_set,
|  | RNG & | rng,
|  | PatchGenerator & | make_patch,
|  | int | depth,
|  | int | views,
|  | size_t | reduced_num_dim,
|  | int | num_quant_bits
| ) |  |

void cv::RandomizedTree::write | ( | std::ostream & | os ) | const

void cv::RandomizedTree::write | ( | const char * | file_name ) | const

## Friends And Related Function Documentation

friend class RTreeClassifier`[friend]`

## Member Data Documentation

const int cv::RandomizedTree::DEFAULT_DEPTH = 9`[static]`

const size_t cv::RandomizedTree::DEFAULT_REDUCED_NUM_DIM = 176`[static]`

const int cv::RandomizedTree::DEFAULT_VIEWS = 5000`[static]`

const uchar cv::RandomizedTree::PATCH_SIZE = 32`[static]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines